init offset = 1

init 1:
    style choice_button:
        background None

    style choice_button_text:
        idle_color "#fedfd2"
        hover_color "#00FF00"
        insensitive_color "#808080FF"
        idle_outlines [ (absolute(5), "#FFF0", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
        hover_outlines [ (absolute(5), "#0F08", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
        insensitive_outlines [ (absolute(5), "#808080C0", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]

screen input(prompt):
    style_prefix "input"


    window:

        vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

            text prompt style "input_prompt" outlines [ (2, "#000000F0", 1, 1) ]
            input id "input" outlines [ (2, "#000000F0", 1, 1) ]

        background Transform(style.window.background, alpha = 1 - persistent.textbox_transparency)



screen say(who, what):
    style_prefix "say"

    window:
        id "window"

        background Transform(style.window.background, alpha = 1 - persistent.textbox_transparency)


        if who is not None:

            window:
                id "namebox"
                style "namebox"
                text who id "who"

        text what id "what" size persistent.pref_text_size




    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0

define gui.choice_button_height = 170

screen choice(items):
    style_prefix "choice"
    if len(items) > 3:
        vpgrid:
            cols 3

            for i in items:
                textbutton i.caption action i.action
    else:
        hbox:
            for i in items:
                textbutton i.caption action i.action

style choice_vbox:
    xalign 0.99
    yalign 0.75
    yanchor 1.0

    spacing gui.choice_spacing

style choice_hbox:
    xalign 0.5
    ypos 800
    yanchor 0.5

    spacing gui.choice_spacing

style choice_vpgrid:
    spacing gui.choice_spacing

    xalign 0.5
    yalign 0.7

screen preferences():
    tag menu


    use game_menu(_(""), scroll="viewport"):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc") or renpy.variant("web"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))




            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Text Speed")

                    bar value Preference("text speed")

                    label _("Auto-Forward Time")

                    bar value Preference("auto-forward time")

                    label _("Textbox Transparency")

                    bar value FieldValue(persistent, "textbox_transparency", range=1.0, style="slider")

                    label _("Text Size: %s" % (persistent.pref_text_size))

                    bar value FieldValue(object=persistent, field='pref_text_size', range=(gui.text_size * 2), max_is_zero=False, style=u'slider', offset=0, step=1)

                vbox:

                    if config.has_music:
                        label _("Music Volume")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"

                        textbutton _("TRANS ENABLED"):
                            action ToggleVariable("show_trans", true_value=True, false_value=False)
                            style "mute_all_button"
                        textbutton _("FEMBOY ENABLED"):
                            action ToggleVariable("show_femboy", true_value=True, false_value=False)
                            style "mute_all_button"
                        textbutton _("TRANS ON MALE ENABLED"):
                            action ToggleVariable("show_transonm", true_value=True, false_value=False)
                            style "mute_all_button"




screen game_menu(title, scroll=None, yinitial=0.0):

    style_prefix "game_menu"

    add gui.main_menu_background

    frame:
        style "game_menu_outer_frame"

        has hbox


        frame:
            style "game_menu_navigation_frame"

        frame:
            style "game_menu_content_frame"

            if scroll == "viewport":

                viewport:
                    yinitial yinitial
                    scrollbars "vertical"
                    mousewheel True
                    draggable True
                    pagekeys True

                    side_yfill True

                    has vbox
                    transclude

            elif scroll == "vpgrid":

                vpgrid:
                    cols 1
                    yinitial yinitial

                    scrollbars "vertical"
                    mousewheel True
                    draggable True
                    pagekeys True

                    side_yfill True

                    transclude

            else:

                transclude

    use navigation






    imagebutton auto "gui/mm_return_%s.png" xpos 0 ypos 1030 focus_mask True action Return()


    label title

    if main_menu:
        key "game_menu" action ShowMenu("main_menu")
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
